org.gradle.api.tasks.compile

## Class DebugOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.DebugOptions

- All Implemented Interfaces:
    Serializable

      public class DebugOptions
      extends AbstractOptions

  Debug options for Java compilation. Only take effect if `CompileOptions.debug` is set to `true`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,String>` | `fieldName2AntMap()` Internal method.
    `String` | `getDebugLevel()` Tells which debugging information is to be generated.
    `void` | `setDebugLevel(String debugLevel)` Sets which debug information is to be generated.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, excludedFieldsFromOptionMap, fieldValue2AntMap, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugOptions

          public DebugOptions()

  - ### Method Detail

    - #### getDebugLevel

          @Input
          @Optional
          public String getDebugLevel()

      Tells which debugging information is to be generated. The value is a comma-separated list of any of the following keywords (without spaces in between):
      `source`
        Source file debugging information
      `lines`
        Line number debugging information
      `vars`
        Local variable debugging information
      By default, only source and line debugging information will be generated.

    - #### setDebugLevel

          public void setDebugLevel(String debugLevel)

      Sets which debug information is to be generated.

    - #### fieldName2AntMap

          protected Map<String,String> fieldName2AntMap()

      Internal method.
      Overrides:
        `fieldName2AntMap` in class `AbstractOptions`